## org.apache.fop.tools.anttasks
Class SerializeHyphPattern

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.MatchingTask
                  |
                  +--org.apache.fop.tools.anttasks.SerializeHyphPattern

public class SerializeHyphPattern
extends org.apache.tools.ant.taskdefs.MatchingTask

SerializeHyphPattern

Inner classes inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`org.apache.tools.ant.taskdefs.MatchingTask.NameEntry`

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`excludeList, includeList, useDefaultExcludes`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType`

Constructor Summary
`SerializeHyphPattern()`

Method Summary
`void` `execute()` Main method, which is called by ant.
`void` `setErrorDump(boolean errorDump)` more error information
`void` `setSourceDir(java.lang.String sourceDir)` Sets the source directory
`void` `setTargetDir(java.lang.String targetDir)` Sets the target directory

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`createExclude, createInclude, getDirectoryScanner, getProperty, setDefaultexcludes, setExcludes, setExcludesfile, setIgnore, setIncludes, setIncludesfile, setItems`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getTaskName, init, log, log, setDescription, setLocation, setOwningTarget, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializeHyphPattern

    public SerializeHyphPattern()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Main method, which is called by ant.
  Overrides:
    execute in class org.apache.tools.ant.Task

### setSourceDir

    public void setSourceDir(java.lang.String sourceDir)

  Sets the source directory

### setTargetDir

    public void setTargetDir(java.lang.String targetDir)

  Sets the target directory

### setErrorDump

    public void setErrorDump(boolean errorDump)

  more error information

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.